## uaputl 1.12

=== Makefile ===
# File : uaputl/Makefile
#
# Copyright (C) 2008, Marvell International Ltd.
# All Rights Reserved
 
# Path to the top directory of the wlan distribution
PATH_TO_TOP = ../..

# Determine how we should copy things to the install directory
ABSPATH := $(filter /%, $(INSTALLDIR))
RELPATH := $(filter-out /%, $(INSTALLDIR))
INSTALLPATH := $(ABSPATH)
ifeq ($(strip $(INSTALLPATH)),)
INSTALLPATH := $(PATH_TO_TOP)/$(RELPATH)
endif

# Override CFLAGS for application sources, remove __ kernel namespace defines
CFLAGS := $(filter-out -D__%, $(EXTRA_CFLAGS))


#CFLAGS += -DAP22 -fshort-enums
CFLAGS += -Wall
#ECHO = @
LIBS = -lrt

.PHONY: default tags all

OBJECTS = uaputl.o uapcmd.o
HEADERS = uaputl.h uapcmd.h

TARGET = uaputl

build default: $(TARGET)
	@cp -f $(TARGET) $(INSTALLPATH)
	@cp -rf config/* $(INSTALLPATH)


all : tags default

$(TARGET): $(OBJECTS) $(HEADERS)
	$(ECHO)$(CC) $(LIBS) -o $@ $(OBJECTS)

%.o: %.c $(HEADERS)
	$(ECHO)$(CC) $(CFLAGS) -c -o $@ $<

tags:
	ctags -R -f tags.txt

clean:
	$(ECHO)$(RM) $(OBJECTS) $(TARGET)
	$(ECHO)$(RM) tags.txt

=== debian/changelog ===
uaputl (1.12-3) unstable; urgency=medium

  * update packaging license assertion
  * move packaging repo to salsa.debian.org

 -- Bdale Garbee <bdale@gag.com>  Sat, 04 Jan 2025 13:19:10 -0700

uaputl (1.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": apply patch from Brett Johnson:
    build with "-std=gnu89"
    (Closes: #778152)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 16:53:16 +0200

uaputl (1.12-2) unstable; urgency=low

  * work around Makefile's inappropriate use of ../.., which breask builds in
    some chroot environments, closes: #648875

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Nov 2011 18:48:50 -0600

uaputl (1.12-1) unstable; urgency=low

  * Initial packaging

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Jul 2011 18:12:22 +0200

=== debian/control ===
Source: uaputl
Section: net
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 13.0.0)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/uaputl.git
Vcs-Browser: https://salsa.debian.org/debian/uaputl

Package: uaputl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: admin utility for Marvell uAP wireless driver
 A small utility for configurating the Marvell uAP wireless driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DH_VERBOSE=1

override_dh_auto_build:
	install -d $(CURDIR)/debian/uaputl
	INSTALLDIR=$(CURDIR)/debian/uaputl dh_auto_build

%:
	dh $@
